---
title: Get Configuration Records
slug: api-documentation/_Zdv-get-configuration-records
docTags: 
createdAt: 2026-08-27T16:58:05.037Z
---

{
  "id": "av4edMR68JGv3_C3fCaaq",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.upstartcommerce.com/v1/order/cfg/records",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/order/cfg/records"
      }
    ],
    "name": "Get Configuration Records",
    "description": "<p>This endpoint retrieves the cfg records data for a given tenant.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li><code>order.cfg.read</code></li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        },
        {
          "id": "ApiKeyAccess",
          "name": "X-Upstart-Api-Key",
          "kind": "optional",
          "type": "apiKey",
          "description": "Api key based authorization.",
          "in": "header"
        },
        {
          "id": "SessionIdAccess",
          "name": "X-Upstart-Session-Id",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Session based authorization. This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>Success-records returned.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "This defines the structure of the data for an cfg record.",
            "customType": "CfgRecord[]",
            "schema": [
              {
                "name": "tenant",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "domain",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "recordId",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "templateId",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "siteIds",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "tags",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "data",
                "kind": "required",
                "type": "object",
                "description": "",
                "example": "",
                "schema": []
              },
              {
                "name": "enabled",
                "kind": "required",
                "type": "boolean",
                "description": "This indicates whether the record is currently active."
              },
              {
                "name": "version",
                "kind": "required",
                "type": "integer",
                "description": ""
              },
              {
                "name": "accessControl",
                "kind": "required",
                "type": "object",
                "description": "This defines the structure of the data for an cfg access control.",
                "modelRef": "#/components/schemas/CfgAccessControl",
                "customType": "CfgAccessControl",
                "schema": [
                  {
                    "name": "read",
                    "kind": "required",
                    "type": "boolean",
                    "description": ""
                  },
                  {
                    "name": "modify",
                    "kind": "required",
                    "type": "boolean",
                    "description": ""
                  }
                ]
              },
              {
                "name": "audit",
                "kind": "required",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/Audit",
                "customType": "Audit",
                "schema": [
                  {
                    "name": "byId",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "by",
                    "kind": "required",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "byAnonymous",
                    "kind": "required",
                    "type": "boolean",
                    "description": ""
                  },
                  {
                    "name": "at",
                    "kind": "required",
                    "type": "string<date-time>",
                    "description": "",
                    "format": "date-time"
                  },
                  {
                    "name": "traceId",
                    "kind": "required",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "serviceName",
                    "kind": "required",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "serviceVersion",
                    "kind": "required",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "byDomain",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "bySubjectType",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/CfgRecord",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ValidationErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ValidationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "The requested resource was not found in the NoChannel system.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "iDbZ-7pkNSob7ScCLXpmD",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.upstartcommerce.com/v1/order/cfg/records \\\n     --header 'accept: application/json' \\\n     --header 'x-upstart-tenant: string'"
        },
        {
          "id": "QNkEyewUcESoWkm2F0oUT",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/order/cfg/records\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "EuUV607jfnKjTeyoapEpP",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/order/cfg/records\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "pyj-OMKicKLVMoVImKBds",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/order/cfg/records\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "iDbZ-7pkNSob7ScCLXpmD"
    },
    "results": {
      "languages": [
        {
          "id": "NRkopVC8Bl2l6w4zW8nFs",
          "language": "200",
          "code": "// Success-records returned.\n[\n  {\n    \"tenant\": \"\",\n    \"domain\": \"\",\n    \"recordId\": \"\",\n    \"templateId\": \"\",\n    \"siteIds\": [\n      \"\"\n    ],\n    \"tags\": [\n      \"\"\n    ],\n    \"name\": \"\",\n    \"data\": {},\n    \"enabled\": false,\n    \"version\": 0,\n    \"accessControl\": {\n      \"read\": false,\n      \"modify\": false\n    },\n    \"audit\": {\n      \"byId\": \"\",\n      \"by\": \"\",\n      \"byAnonymous\": false,\n      \"at\": \"\",\n      \"traceId\": \"\",\n      \"serviceName\": \"\",\n      \"serviceVersion\": \"\",\n      \"byDomain\": \"\",\n      \"bySubjectType\": \"\"\n    }\n  }\n]"
        },
        {
          "id": "y6jwZTCIdC6S8GGTpgRwT",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "L9pegII9yRVeUXYJvX0v3",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "3pZw4bjvi2zyn7nyvyR6v",
          "language": "404",
          "code": "// The requested resource was not found in the NoChannel system.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "NRkopVC8Bl2l6w4zW8nFs"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}